Page MenuHomePhabricator

Trigger PHPUnit job for MediaWiki extensions with HHVM instead of Zend in 'test' pipeline
Closed, ResolvedPublic

Description

The MediaWiki extensions run the PHPUnit test suite with Zend. We should switch to hhvm and run zend+hhvm on gate-and-submit.

@Legoktm did that for mediawiki/core with https://gerrit.wikimedia.org/r/#/c/197951/ . There is even a new Zuul pipeline zend which lets folks manually trigger the zend job on open patch sets.

For wikibase that is proposed with T101382: Only run Wikibase Zend Jenkins jobs on gate-and-submit

Thoughts?

Event Timeline

hashar created this task.Jun 4 2015, 1:32 PM
hashar updated the task description. (Show Details)
hashar raised the priority of this task from to Needs Triage.
hashar added subscribers: hashar, Legoktm, Addshore and 2 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 4 2015, 1:32 PM
hashar updated the task description. (Show Details)
hashar set Security to None.
hashar triaged this task as Normal priority.
Legoktm renamed this task from Trigger PHPUnit job with HHVM instead of Zend to Trigger PHPUnit job for MediaWiki extensions with HHVM instead of Zend in 'test' pipeline.Jun 4 2015, 3:43 PM
hashar added a comment.Jun 9 2015, 1:49 PM

For now it is only available in the experimental pipeline. I guess we can do the switch after the deployment train and a SWAT. Might want to announce it ahead of time.

Legoktm closed this task as Resolved.Feb 10 2016, 8:46 AM
Legoktm claimed this task.

HHVM tests for extensions are now run as part of test and gate-and-submit.